%define _use_internal_dependency_generator 0

Name: l4vip
Version: 1.0.3
Release: 1%{?dist}
Epoch: 1
Summary: L4 DSR configuration init script
Summary(ko): L4 DSR 설정 init 스크립트
License: GPL
Group: System Environment/Base
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Source0: %{name}.init
Source1: %{name}.sysconfig
Source2: %{name}.functions
Source3: %{name}.service
BuildArchitectures: noarch
Requires: net-tools

%description
L4 DSR configuration init scrpit and configuration file

%install
rm -rf %{buildroot}

%{__install} -Dp -m755 %{SOURCE0} %{buildroot}%{_sbindir}/init.d/%{name}
%{__install} -Dp -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
%{__install} -Dp -m644 %{SOURCE2} %{buildroot}%{_datadir}/%{name}/functions
%{__install} -Dp -m644 %{SOURCE3} %{buildroot}%{_unitdir}/%{name}.service

%clean
rm -rf %{buildroot}

%post
%systemd_post %{name}.service
if [ $1 -eq 1 ]; then
    /usr/bin/systemctl enable %{name}.service >& /dev/null || :
fi

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service


%files
%defattr(-,root,root)
%{_sbindir}/init.d/l4vip
%{_datadir}/%{name}/functions
%config(noreplace) %{_sysconfdir}/sysconfig/l4vip
%{_unitdir}/%{name}.service

%changelog
* Fri Nov 13 2015 JoungKyun.Kim <http://oops.org> 1:1.0.3-1%{?dist}
- rebuilt on AN3
- support RHEL 7, CentOS 7

* Thu Jun 21 2012 JoungKyun.Kim <http://oops.org> 1:1.0.2-1%{?dist}
- fixed tun driver kernel paramiter set

* Mon Mar 26 2012 JoungKyun.Kim <http://oops.org> 1:1.0.1-1%{?dist}
- support DSR kernel parameter api (arp_ignore/arp_announce)

* Sat Feb  4 2011 JoungKyun.Kim <http://oops.org> 1:1.0.0-1%{?dist}
- fixed suffix check routine

